From 3f43b456985a59f17053fd33675ab51b66ae6d36 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 17 Aug 2022 14:27:42 +0200
Subject: [PATCH 5/7] meson: Fix link order of support libraries

---
 meson.build                    | 2 +-
 src/common/unicode/meson.build | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/meson.build b/meson.build
index 2e78583c6c..8833a16a3b 100644
--- a/meson.build
+++ b/meson.build
@@ -2505,7 +2505,7 @@ subdir('src/fe_utils')
 frontend_code = declare_dependency(
   compile_args: ['-DFRONTEND'],
   include_directories: [postgres_inc],
-  link_with: [pgport_static, common_static, fe_utils],
+  link_with: [fe_utils, common_static, pgport_static],
   sources: generated_headers,
   dependencies: [os_deps, libintl],
 )
diff --git a/src/common/unicode/meson.build b/src/common/unicode/meson.build
index f37f9077d0..44a6cf77c3 100644
--- a/src/common/unicode/meson.build
+++ b/src/common/unicode/meson.build
@@ -73,7 +73,7 @@ norm_test = executable('norm_test',
   ['norm_test.c', norm_test_table],
   dependencies: [frontend_port_code],
   include_directories: inc,
-  link_with: [pgport_static, common_static],
+  link_with: [common_static, pgport_static],
   build_by_default: false,
   kwargs: default_bin_args + {
     'install': false,
-- 
2.37.1

